/*
 * Copyright (c) 1983, 1993
 *	The Regents of the University of California.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *	This product includes software developed by the University of
 *	California, Berkeley and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	from: @(#)inet.h	5.7 (Berkeley) 4/3/91
 *	$Id: inet.h,v 1.2 1999/05/12 07:57:13 k-abe Exp $
 */

#ifndef _INET_H_
#define	_INET_H_

/* External definitions for functions in inet(3) */

#include <sys/pthread-cdecl.h>
#include <sys/types.h>
#include <sys/pthread-extsym.h>

__PTL_BEGIN_DECLS

pthread_ipaddr_type	inet_addr 	__PTL_P((const char *));
int 			inet_aton 	__PTL_P((const char *,
						 struct in_addr *));
pthread_ipaddr_type	inet_lnaof	__PTL_P((struct in_addr));
struct in_addr	 	inet_makeaddr 	__PTL_P((pthread_ipaddr_type,
						 pthread_ipaddr_type));
pthread_ipaddr_type	inet_netof 	__PTL_P((struct in_addr));
pthread_ipaddr_type	inet_network 	__PTL_P((const char *));
char * 			inet_ntoa 	__PTL_P((struct in_addr));
char *			inet_ntoa_r	__PTL_P((struct in_addr in, char *buf,
						 int bufsize));

/* From NetBSD PR (pkg/7507) */
#if defined(__NetBSD__) || defined(__FreeBSD__)
int                    inet_pton       __PTL_P((int, const char *, void *));
const char             *inet_ntop      __PTL_P((int, const void *,
                                                char *, size_t));
#endif

__PTL_END_DECLS

#endif /* !_INET_H_ */
