/*
 * $Id: fcntl.h,v 1.4 2000/09/22 22:05:16 k-abe Exp $
 *
 * This file is part of PTL, Portable Thread Library.
 *
 * Copyright (C) 1997-2000 Kota Abe
 *
 */

#ifndef __PTL_FCNTL_H__
#define __PTL_FCNTL_H__

#include <sys/pthread-init.h>

/* ---------------------------------------------------------------- */
#ifdef __PTL_RENAMED__
#define __PTL_ALREADY_RENAMED_FCNTL_H
#else
#include <sys/pthread-before.h>
#endif

#ifdef __GNUC__
#include <00root-gcc/fcntl.h>
#else
#include <00root-system/fcntl.h>
#endif

#include <sys/pthread-after.h>
/* ---------------------------------------------------------------- */

#include <sys/pthread-cdecl.h>

__PTL_BEGIN_DECLS

/****************************************************************
 *
 *	5.3.1  Open a File
 *
 ****************************************************************/

extern int open __PTL_P((const char*, int, ...));


/****************************************************************
 *
 *	5.3.2  Create a New File or Rewrite an Existing One
 *
 ****************************************************************/

extern int creat __PTL_P((const char*, mode_t));


/****************************************************************
 *
 *	6.4.2  File Control
 *
 ****************************************************************/

extern int fcntl __PTL_P((int, int, ...));

__PTL_END_DECLS

/* ---------------------------------------------------------------- */
#ifdef __PTL_ALREADY_RENAMED_FCNTL_H_
#include <sys/pthread-before.h>
#undef __PTL_ALREADY_RENAMED_FCNTL_H
#else
#include <sys/pthread-after.h>
#endif
/* ---------------------------------------------------------------- */

#endif /* __PTL_FCNTL_H__ */
