/*
 * $Id: stdlib.h,v 1.5 2000/09/22 22:05:17 k-abe Exp $
 *
 * This file is part of PTL, Portable Thread Library.
 *
 * Copyright (C) 1997-2000 Kota Abe
 *
 */

#ifndef __PTL_STDLIB_H__
#define __PTL_STDLIB_H__

#include <sys/pthread-init.h>

/* ---------------------------------------------------------------- */
#ifdef __PTL_RENAMED__
#define __PTL_ALREADY_RENAMED_STDLIB_H
#else
#include <sys/pthread-before.h>
#endif

#ifdef __GNUC__
#include <00root-gcc/stdlib.h>
#else
#include <00root-system/stdlib.h>
#endif

#include <sys/pthread-after.h>
/* ---------------------------------------------------------------- */

#include <sys/pthread-cdecl.h>

__PTL_BEGIN_DECLS

/****************************************************************
 *
 *	Terminate a Process (ANSI C)
 *
 ****************************************************************/
extern void exit __PTL_P((int));

/****************************************************************
 *
 *	Dynamic Memory Allocation
 *
 ****************************************************************/
extern _pthread_any_t malloc __PTL_P((size_t));
extern _pthread_any_t realloc __PTL_P((_pthread_any_t, size_t));
extern _pthread_any_t calloc __PTL_P((size_t, size_t));
extern void free __PTL_P((_pthread_any_t));

#undef mkstemp
#undef mktemp
extern int mkstemp __PTL_P((char*));
extern char *mktemp __PTL_P((char*));

__PTL_END_DECLS

/* ---------------------------------------------------------------- */
#ifdef __PTL_ALREADY_RENAMED_STDLIB_H
#include <sys/pthread-before.h>
#undef __PTL_ALREADY_RENAMED_STDLIB_H
#else
#include <sys/pthread-after.h>
#endif
/* ---------------------------------------------------------------- */

#endif /*__PTL_STDLIB_H__*/
