/*
 * $Id: pthread-before.h,v 1.13 2000/09/22 22:05:17 k-abe Exp $
 *
 * This file is part of PTL, Portable Thread Library.
 *
 * Copyright (C) 1997-2000 Kota Abe
 *
 */

#include <sys/pthread-after.h>	/* to undef */

/* these macro is still alive */
#undef sigsuspend
#undef sigwait
#undef nanosleep
#undef sleep

/* Since NetBSD declares sigsuspend as renaming function (__sigsuspend14),
 * we dont rename sigsuspend into sigsuspend_orig.
 */
/*#define sigsuspend	__sigsuspend_orig*/
#define sigwait		__sigwait_orig
#define socket		__socket_orig
#define alarm		__alarm_orig
#define accept		__accept_orig
#define connect		__connect_orig
#define read		__read_orig
#define write		__write_orig
#define readv		__readv_orig
#define writev		__writev_orig
#define send		__send_orig
#define sendto		__sendto_orig
#define sendmsg		__sendmsg_orig
#define recv		__recv_orig
#define recvfrom	__recvfrom_orig
#define recvmsg		__recvmsg
#define open		__open_orig
#define creat		__creat_orig
#define select		__select_orig
#define fcntl		__fcntl_orig
#define exit		__exit_orig
#define _exit		___exit_orig
#define pause		__pause_orig
#define wait		__wait_orig
#define waitpid		__waitpid_orig
#define wait3		__wait3_orig
#define wait4		__wait4_orig
#define fork		__fork_orig
#define pipe		__pipe_orig

#define	mktemp		__mktemp_orig
#define clock_gettime	__clock_gettime_orig
#define fcntl		__fcntl_orig
#ifdef PTL_INTERNAL		/* for NetBSD <soundcard.h> */
#define ioctl		__ioctl_orig
#endif
#define jmp_buf		__jmp_buf_orig
#define mkstemp		__mkstemp_orig
#define nanosleep	__nanosleep_orig
#define sigjmp_buf	__sigjmp_buf_orig
#ifndef __NetBSD__
# define sys_errlist	__sys_errlist_orig
#endif
#define tempnam		__tempname_orig
#ifndef HAVE_TIMESPEC
#define timespec	__timespec_orig
#endif
#define tmpfile		__tmpfile_orig
#define tmpnam		__tmpnam_orig
#define usleep		__usleep_orig
/*#define sprintf	__sprintf_orig*/
#define sleep		__sleep_orig
#define malloc		__malloc_orig
#define calloc		__calloc_orig
#define realloc		__realloc_orig
#define free		__free_orig

#define pthread_t		__pthread_t_orig
#define pthread_attr_t		__pthread_attr_t_orig
#define pthread_mutex_t		__pthread_mutex_t_orig
#define pthread_mutexattr_t	__pthread_mutexattr_t_orig
#define pthread_cond_t		__pthread_cond_t_orig
#define pthread_condattr_t	__pthread_condattr_t_orig
#define pthread_once_t		__pthread_once_t_orig
#define pthread_key_t		__pthread_key_t_orig
#define pthread_kill		__pthread_kill_orig	/* for Solaris 7 */
#define pthread_atfork		__pthread_atfork_orig	/* for Solaris 7 */

#define __PTL_RENAMED__
